// Programa para hallar numericamente la posicion en funcion del tiempo
// para un movimiento planetario no necesariamente en orbita circular - Movimiento planetario - Actividad 2

// Condiciones iniciales
// masa del Sol = Msol = 1.99 10^30 kg
// masa Venus = Mvenus = 4,874 10^24 kg
// Radio orbita de Venus = Rvenus = 108 10^6 km.

// Fuerza gravitatoria
// - G Msol Mvenus (x,y) / (modulo posicion)^3 
// - 6.67 10^-11 m^3/(kg s^2) * 1.99 10^30 (x,y) / (modulo posicion)^3   *Mvenus
// - 1.72 10^9 miles km/h^2 (x,y) / (modulo vector posicion)^3
// - 1.72 (miles km/h^2) (x,y) / (sqrt((x/1000)^2+(y/1000)^2))^3


// posicion en miles de kilometros
x(1)=108000;
y(1)=0 ;
// Velocidad inicial ya no perpendicular a fuerza gravitatoria 
// velocidad miles de km/h
vx(1)=89.24;
vy(1)=89.24;
// aceleracion
// - 1.72 (miles km/h^2) (x,y) / (sqrt((x/1000)^2+(y/1000)^2))^3
ax(1)= - 1.72 * (x(1)/(sqrt((x(1)/1000)^2+(y(1)/1000)^2))^3);
ay(1)= - 1.72 * (y(1)/(sqrt((x(1)/1000)^2+(y(1)/1000)^2))^3);

tiempo(1)=0;

for i=1:65500
  
  // pasos de tiempo de a 6 minutos o 0.1 de hora
  tiempo(i+1)= tiempo(i) + 0.1;
  
  x(i+1)= x(i) + vx(i) * 0.1;
  y(i+1)= y(i) + vy(i) * 0.1;

  vx(i+1)= vx(i) + ax(i) * 0.1;
  vy(i+1)= vy(i) + ay(i) * 0.1;

ax(i+1)= -  1.72 * (x(i+1)/(sqrt((x(i+1)/1000)^2+(y(i+1)/1000)^2))^3);
ay(i+1)= -  1.72 * (y(i+1)/(sqrt((x(i+1)/1000)^2+(y(i+1)/1000)^2))^3);

end

plot(tiempo, x)
plot(tiempo, y)
scf(1)
plot(x,y)

